Commits

stretchedthin committed c4d6cd0

xgalaga++ xgalaga xtux

Comments (0)

Files changed (10)

var/vabs/xgalaga++/src/patches/xgalaga++-0.8.3.diff

+diff -Naur xgalaga++-0.8~/Makefile xgalaga++-0.8/Makefile
+--- xgalaga++-0.8.3/Makefile
++++ xgalaga++-0.8.3/Makefile.orig
+@@ -26,14 +26,14 @@
+ 
+ # installation directories
+ installprefix = /usr
+-bindir = $(installprefix)/games
++bindir = $(installprefix)/bin
+ mandir = $(installprefix)/share/man/man6
+ 
+ # preprocessor options to find all included files
+-INC_PATH = -I$(srcdir) -I/usr/local/include
++INC_PATH = -I$(srcdir) -I/usr/include/X11
+ 
+ # libraries link options ('-lm' is common to link with the math library)
+-LNK_LIBS = -lm -lX11 -lXpm -L/usr/local/lib/
++LNK_LIBS = -lm -lX11 -lXpm -L/usr/lib/X11/
+ 
+ # other compilation options
+ # The high scores file is only writable by the executable and shared
+@@ -251,13 +251,31 @@
+ # Installation procedure
+ # Customized for XGalaga++
+ install:
+-	cp $(EXE) $(bindir)
+-	if [ -n "$(MANUAL)" ]; then cp $(MANUAL) $(mandir); fi
+-	if [ -n "$(EXE_GROUP)" ]; then chgrp $(EXE_GROUP) $(bindir)/$(EXE); fi
+-	chmod g+s $(bindir)/$(EXE)
+-	touch $(HIGH_SCORES_FILE)
+-	if [ -n "$(EXE_GROUP)" ]; then chgrp $(EXE_GROUP) $(HIGH_SCORES_FILE); fi
+-	chmod 664 $(HIGH_SCORES_FILE)
++	#cp $(EXE) $(bindir)
++	#if [ -n "$(MANUAL)" ]; then cp $(MANUAL) $(mandir); fi
++	#if [ -n "$(EXE_GROUP)" ]; then chgrp $(EXE_GROUP) $(bindir)/$(EXE); fi
++	#chmod g+s $(bindir)/$(EXE)
++	#touch $(HIGH_SCORES_FILE)
++	#if [ -n "$(EXE_GROUP)" ]; then chgrp $(EXE_GROUP) $(HIGH_SCORES_FILE); fi
++	#chmod 664 $(HIGH_SCORES_FILE)
++	@echo "Installing dirs under $(DESTDIR)..."
++	@install -d -m 755 $(DESTDIR)$(bindir) $(DESTDIR)$(mandir) \
++		$(DESTDIR)/usr/share/pixmaps $(DESTDIR)/usr/share/applications
++	@install -d -m 775 $(DESTDIR)/var/games
++	@echo "Installing $(EXE)..."
++	@install -c -m 755 $(EXE) $(DESTDIR)$(bindir)
++	@chgrp $(EXE_GROUP) $(DESTDIR)$(bindir)/$(EXE)
++	@chmod g+s $(DESTDIR)$(bindir)/$(EXE)
++	@echo "Installing $(MANUAL)..."
++	@install -c -m 644 $(MANUAL) $(DESTDIR)$(mandir)
++	@echo "Installing $(EXE).scores..."
++	@touch $(DESTDIR)$(HIGH_SCORES_FILE)
++	@chgrp $(EXE_GROUP) $(DESTDIR)$(HIGH_SCORES_FILE)
++	@chmod 664 $(DESTDIR)$(HIGH_SCORES_FILE)
++	@echo "Installing $(EXE).xpm..."
++	@install -c -m 644 $(EXE).xpm $(DESTDIR)/usr/share/pixmaps
++	@echo "Installing $(EXE).desktop..."
++	@install -c -m 644 $(EXE).desktop $(DESTDIR)/usr/share/applications
+ 
+ .PHONY:	uninstall
+ uninstall:
+diff -Naur xgalaga++-0.8~/xgalaga++.desktop xgalaga++-0.8/xgalaga++.desktop
+--- xgalaga++-0.8~/xgalaga++.desktop	1969-12-31 18:00:00.000000000 -0600
++++ xgalaga++-0.8/xgalaga++.desktop	2009-01-20 16:15:35.000000000 -0600
+@@ -0,0 +1,9 @@
++[Desktop Entry]
++Version=1.0
++Type=Application
++Name=XGalaga++
++Comment=A classic shoot 'em up arcade game inspired by XGalaga
++TryExec=/usr/bin/xgalaga++
++Exec=xgalaga++
++Icon=/usr/share/pixmaps/xgalaga++.xpm
++Categories=Game;ArcadeGame;
+diff -Naur xgalaga++-0.8~/xgalaga++.xpm xgalaga++-0.8/xgalaga++.xpm
+--- xgalaga++-0.8~/xgalaga++.xpm	1969-12-31 18:00:00.000000000 -0600
++++ xgalaga++-0.8/xgalaga++.xpm	2009-01-20 16:15:35.000000000 -0600
+@@ -0,0 +1,814 @@
++/* XPM */
++static char * xgalaga++_xpm[] = {
++"48 48 763 2",
++"  	c None",
++". 	c #321700",
++"+ 	c #280B00",
++"@ 	c #200300",
++"# 	c #5B2F00",
++"$ 	c #4E2200",
++"% 	c #401100",
++"& 	c #4C1900",
++"* 	c #734F00",
++"= 	c #B7A700",
++"- 	c #E8E500",
++"; 	c #F2EE00",
++"> 	c #E2E200",
++", 	c #D9DB00",
++"' 	c #DEDD00",
++") 	c #E4E200",
++"! 	c #E5EA00",
++"~ 	c #F0EF00",
++"{ 	c #D9D700",
++"] 	c #AA9100",
++"^ 	c #5E3A00",
++"/ 	c #471400",
++"( 	c #4C1A00",
++"_ 	c #5B2B00",
++": 	c #572F00",
++"< 	c #7E4000",
++"[ 	c #663300",
++"} 	c #653400",
++"| 	c #653500",
++"1 	c #7C4B00",
++"2 	c #A48100",
++"3 	c #D9CA00",
++"4 	c #FEFD00",
++"5 	c #FFFF00",
++"6 	c #FAF900",
++"7 	c #EEEE00",
++"8 	c #F2EF00",
++"9 	c #F5F000",
++"0 	c #FAFA00",
++"a 	c #F8F500",
++"b 	c #CDB900",
++"c 	c #8E6A00",
++"d 	c #714100",
++"e 	c #6D3800",
++"f 	c #703A00",
++"g 	c #683400",
++"h 	c #A45000",
++"i 	c #904400",
++"j 	c #823C00",
++"k 	c #884C00",
++"l 	c #9B6F00",
++"m 	c #B19800",
++"n 	c #C5B900",
++"o 	c #DFDD00",
++"p 	c #EFF200",
++"q 	c #EDEA00",
++"r 	c #DDD900",
++"s 	c #CECC00",
++"t 	c #CDCA00",
++"u 	c #CACA00",
++"v 	c #DAD800",
++"w 	c #ECEB00",
++"x 	c #F0ED00",
++"y 	c #DDD500",
++"z 	c #BFB000",
++"A 	c #A68B00",
++"B 	c #916500",
++"C 	c #894B00",
++"D 	c #894000",
++"E 	c #924400",
++"F 	c #B65F00",
++"G 	c #9E4E00",
++"H 	c #914100",
++"I 	c #934200",
++"J 	c #A66100",
++"K 	c #C29D00",
++"L 	c #D6D100",
++"M 	c #D8E100",
++"N 	c #D1D800",
++"O 	c #BFC300",
++"P 	c #B3B300",
++"Q 	c #9FA200",
++"R 	c #9EA000",
++"S 	c #A8A800",
++"T 	c #A1A300",
++"U 	c #A0A500",
++"V 	c #B4B800",
++"W 	c #CDCD00",
++"X 	c #D6DA00",
++"Y 	c #DDE000",
++"Z 	c #D5C900",
++"` 	c #B98D00",
++" .	c #995300",
++"..	c #903E00",
++"+.	c #9F4900",
++"@.	c #AB5600",
++"#.	c #B15E00",
++"$.	c #A24F00",
++"%.	c #9D4E00",
++"&.	c #8E4100",
++"*.	c #8F3F00",
++"=.	c #A15E00",
++"-.	c #CBA200",
++";.	c #DFD100",
++">.	c #D3CD00",
++",.	c #B3AA00",
++"'.	c #918900",
++").	c #868200",
++"!.	c #808300",
++"~.	c #848900",
++"{.	c #868C00",
++"].	c #818700",
++"^.	c #827F00",
++"/.	c #8F8B00",
++"(.	c #A09700",
++"_.	c #B9B400",
++":.	c #E3D400",
++"<.	c #DFC700",
++"[.	c #BB8C00",
++"}.	c #944F00",
++"|.	c #904000",
++"1.	c #9E4D00",
++"2.	c #9F5000",
++"3.	c #934700",
++"4.	c #9F4F00",
++"5.	c #9D4F00",
++"6.	c #9C4D00",
++"7.	c #8C4300",
++"8.	c #844000",
++"9.	c #874C00",
++"0.	c #A77200",
++"a.	c #C19100",
++"b.	c #B68E00",
++"c.	c #967100",
++"d.	c #755500",
++"e.	c #5F4D00",
++"f.	c #624A00",
++"g.	c #745600",
++"h.	c #917100",
++"i.	c #C09400",
++"j.	c #C89200",
++"k.	c #A06800",
++"l.	c #814400",
++"m.	c #7C3C00",
++"n.	c #904500",
++"o.	c #A15000",
++"p.	c #A45300",
++"q.	c #AA5600",
++"r.	c #994E00",
++"s.	c #A05000",
++"t.	c #813F00",
++"u.	c #663200",
++"v.	c #6B3800",
++"w.	c #8E4E00",
++"x.	c #AA5D00",
++"y.	c #954F00",
++"z.	c #7C3F00",
++"A.	c #6D3C00",
++"B.	c #6C3E00",
++"C.	c #6C3900",
++"D.	c #834600",
++"E.	c #9C5500",
++"F.	c #A15700",
++"G.	c #804400",
++"H.	c #663600",
++"I.	c #6A3700",
++"J.	c #8A4800",
++"K.	c #9E4F00",
++"L.	c #A65300",
++"M.	c #A55500",
++"N.	c #AA5500",
++"O.	c #9D4D00",
++"P.	c #A25000",
++"Q.	c #A95600",
++"R.	c #7D3E00",
++"S.	c #5D2C00",
++"T.	c #592700",
++"U.	c #6C2E00",
++"V.	c #7E3400",
++"W.	c #8F3E00",
++"X.	c #954500",
++"Y.	c #A04F00",
++"Z.	c #974A00",
++"`.	c #783A00",
++" +	c #914400",
++".+	c #9A4700",
++"++	c #984500",
++"@+	c #873A00",
++"#+	c #7E3800",
++"$+	c #663000",
++"%+	c #4F2600",
++"&+	c #613000",
++"*+	c #874300",
++"=+	c #A05100",
++"-+	c #AA5800",
++";+	c #A45200",
++">+	c #A05200",
++",+	c #A55300",
++"'+	c #A35000",
++")+	c #994D00",
++"!+	c #7D3D00",
++"~+	c #5D2B00",
++"{+	c #522700",
++"]+	c #512400",
++"^+	c #652A00",
++"/+	c #BE5D00",
++"(+	c #D26800",
++"_+	c #AC5500",
++":+	c #6A2900",
++"<+	c #3C1800",
++"[+	c #2E0E00",
++"}+	c #3C1100",
++"|+	c #BB5E00",
++"1+	c #D26A00",
++"2+	c #B95C00",
++"3+	c #843D00",
++"4+	c #5F2A00",
++"5+	c #4E2400",
++"6+	c #542A00",
++"7+	c #673200",
++"8+	c #854200",
++"9+	c #A35200",
++"0+	c #A15100",
++"a+	c #A55100",
++"b+	c #A85600",
++"c+	c #924600",
++"d+	c #964800",
++"e+	c #9A4E00",
++"f+	c #994C00",
++"g+	c #A75400",
++"h+	c #A85500",
++"i+	c #954C00",
++"j+	c #7D3F00",
++"k+	c #562B00",
++"l+	c #5E2F00",
++"m+	c #814000",
++"n+	c #C16400",
++"o+	c #E17500",
++"p+	c #B75800",
++"q+	c #884100",
++"r+	c #632A00",
++"s+	c #5F2900",
++"t+	c #6A2D00",
++"u+	c #8B3F00",
++"v+	c #D67100",
++"w+	c #E17600",
++"x+	c #AF5B00",
++"y+	c #723B00",
++"z+	c #552B00",
++"A+	c #5C2E00",
++"B+	c #824200",
++"C+	c #9C4F00",
++"D+	c #AB5700",
++"E+	c #9F4E00",
++"F+	c #9F4D00",
++"G+	c #5A2B00",
++"H+	c #7F3E00",
++"I+	c #8F4400",
++"J+	c #954A00",
++"K+	c #8B4500",
++"L+	c #8F4600",
++"M+	c #A35100",
++"N+	c #C16200",
++"O+	c #CA6800",
++"P+	c #CB6A00",
++"Q+	c #BA6200",
++"R+	c #9A5200",
++"S+	c #713C00",
++"T+	c #582C00",
++"U+	c #733B00",
++"V+	c #C86800",
++"W+	c #C46500",
++"X+	c #BE6000",
++"Y+	c #AB5800",
++"Z+	c #A35400",
++"`+	c #B15800",
++" @	c #BD6200",
++".@	c #CC6900",
++"+@	c #C76700",
++"@@	c #9B5200",
++"#@	c #5F3200",
++"$@	c #572D00",
++"%@	c #7C4300",
++"&@	c #A25800",
++"*@	c #BD6500",
++"=@	c #CC6C00",
++"-@	c #C66900",
++";@	c #B85F00",
++">@	c #9C4B00",
++",@	c #904700",
++"'@	c #954B00",
++")@	c #823F00",
++"!@	c #552900",
++"~@	c #5D2E00",
++"{@	c #773B00",
++"]@	c #9C4E00",
++"^@	c #924700",
++"/@	c #944800",
++"(@	c #B45A00",
++"_@	c #D97100",
++":@	c #ED7D00",
++"<@	c #F18000",
++"[@	c #E97A00",
++"}@	c #CE6C00",
++"|@	c #944C00",
++"1@	c #623100",
++"2@	c #6A3400",
++"3@	c #924900",
++"4@	c #B15B00",
++"5@	c #E47900",
++"6@	c #EA8100",
++"7@	c #EB8200",
++"8@	c #F08200",
++"9@	c #E07500",
++"0@	c #C36500",
++"a@	c #814100",
++"b@	c #A05400",
++"c@	c #DA7400",
++"d@	c #F28100",
++"e@	c #EF8000",
++"f@	c #C86900",
++"g@	c #A25200",
++"h@	c #753B00",
++"i@	c #663400",
++"j@	c #522900",
++"k@	c #6D3400",
++"l@	c #6E3500",
++"m@	c #B35A00",
++"n@	c #BF6200",
++"o@	c #BC5F00",
++"p@	c #C66500",
++"q@	c #D46E00",
++"r@	c #E97900",
++"s@	c #F27F00",
++"t@	c #F27E00",
++"u@	c #DA7200",
++"v@	c #7B3C00",
++"w@	c #7A3C00",
++"x@	c #914500",
++"y@	c #A95400",
++"z@	c #F68700",
++"A@	c #F48D00",
++"B@	c #F69100",
++"C@	c #FF9900",
++"D@	c #EA7F00",
++"E@	c #9E4C00",
++"F@	c #864100",
++"G@	c #7A3D00",
++"H@	c #864500",
++"I@	c #B45E00",
++"J@	c #E77A00",
++"K@	c #F17F00",
++"L@	c #EC7C00",
++"M@	c #D06D00",
++"N@	c #C76800",
++"O@	c #C36400",
++"P@	c #BA6000",
++"Q@	c #A45400",
++"R@	c #894400",
++"S@	c #653200",
++"T@	c #592B00",
++"U@	c #5D2D00",
++"V@	c #6B3400",
++"W@	c #793A00",
++"X@	c #994B00",
++"Y@	c #B55B00",
++"Z@	c #D26C00",
++"`@	c #E37700",
++" #	c #E87900",
++".#	c #E27500",
++"+#	c #D36E00",
++"@#	c #CA6900",
++"##	c #C06200",
++"$#	c #CA6700",
++"%#	c #D46D00",
++"&#	c #C96600",
++"*#	c #AD5900",
++"=#	c #944A00",
++"-#	c #8B4400",
++";#	c #9C4C00",
++">#	c #A74F00",
++",#	c #BC5B00",
++"'#	c #B35900",
++")#	c #A85400",
++"!#	c #974E00",
++"~#	c #944B00",
++"{#	c #AE5900",
++"]#	c #CF6C00",
++"^#	c #CB6800",
++"/#	c #C86700",
++"(#	c #CD6D00",
++"_#	c #CD6E00",
++":#	c #D87200",
++"<#	c #E77B00",
++"[#	c #894500",
++"}#	c #793D00",
++"|#	c #6F3700",
++"1#	c #5F2E00",
++"2#	c #6D3500",
++"3#	c #894300",
++"4#	c #D76E00",
++"5#	c #EE7D00",
++"6#	c #F78200",
++"7#	c #F48100",
++"8#	c #D77100",
++"9#	c #B45B00",
++"0#	c #AA5400",
++"a#	c #B05700",
++"b#	c #AD5700",
++"c#	c #A45100",
++"d#	c #974800",
++"e#	c #AE5800",
++"f#	c #A95500",
++"g#	c #9A4B00",
++"h#	c #964A00",
++"i#	c #A55200",
++"j#	c #B55C00",
++"k#	c #C96900",
++"l#	c #E27900",
++"m#	c #EC7E00",
++"n#	c #EF7E00",
++"o#	c #D66F00",
++"p#	c #713900",
++"q#	c #713800",
++"r#	c #743800",
++"s#	c #793B00",
++"t#	c #834100",
++"u#	c #C06400",
++"v#	c #D77000",
++"w#	c #D97200",
++"x#	c #864000",
++"y#	c #873F00",
++"z#	c #954800",
++"A#	c #A14F00",
++"B#	c #904800",
++"C#	c #753500",
++"D#	c #7A3800",
++"E#	c #773800",
++"F#	c #834200",
++"G#	c #974B00",
++"H#	c #964900",
++"I#	c #874100",
++"J#	c #8E4600",
++"K#	c #CD6C00",
++"L#	c #D36F00",
++"M#	c #D06E00",
++"N#	c #934900",
++"O#	c #783B00",
++"P#	c #763A00",
++"Q#	c #703700",
++"R#	c #914800",
++"S#	c #803F00",
++"T#	c #673600",
++"U#	c #BB6000",
++"V#	c #B96000",
++"W#	c #AC5A00",
++"X#	c #AA5700",
++"Y#	c #693400",
++"Z#	c #773900",
++"`#	c #893F00",
++" $	c #8B4100",
++".$	c #673300",
++"+$	c #6D3700",
++"@$	c #A15300",
++"#$	c #B05A00",
++"$$	c #BC6000",
++"%$	c #B85D00",
++"&$	c #763B00",
++"*$	c #5F2F00",
++"=$	c #834000",
++"-$	c #7F4200",
++";$	c #7A4100",
++">$	c #834300",
++",$	c #964B00",
++"'$	c #9C5000",
++")$	c #6C3600",
++"!$	c #753A00",
++"~$	c #884200",
++"{$	c #A25100",
++"]$	c #B75C00",
++"^$	c #BC5D00",
++"/$	c #9E5000",
++"($	c #7C3E00",
++"_$	c #6E3900",
++":$	c #6C3800",
++"<$	c #AD5800",
++"[$	c #AF5800",
++"}$	c #7F4000",
++"|$	c #763D00",
++"1$	c #874500",
++"2$	c #9B4E00",
++"3$	c #A75300",
++"4$	c #B05900",
++"5$	c #B76000",
++"6$	c #B05D00",
++"7$	c #995000",
++"8$	c #874400",
++"9$	c #773A00",
++"0$	c #803E00",
++"a$	c #7E3F00",
++"b$	c #723700",
++"c$	c #CD6B00",
++"d$	c #E07700",
++"e$	c #E57800",
++"f$	c #C56600",
++"g$	c #814200",
++"h$	c #AE5A00",
++"i$	c #B15C00",
++"j$	c #BB6300",
++"k$	c #BB6200",
++"l$	c #B25B00",
++"m$	c #BB5F00",
++"n$	c #AD5B00",
++"o$	c #733A00",
++"p$	c #502600",
++"q$	c #8D4400",
++"r$	c #BD6100",
++"s$	c #F98600",
++"t$	c #F38200",
++"u$	c #B25A00",
++"v$	c #EA7E00",
++"w$	c #E67A00",
++"x$	c #9B4D00",
++"y$	c #C66800",
++"z$	c #A45600",
++"A$	c #492300",
++"B$	c #A34E00",
++"C$	c #A85200",
++"D$	c #C66700",
++"E$	c #CB6B00",
++"F$	c #BD6000",
++"G$	c #AE5600",
++"H$	c #A44F00",
++"I$	c #A14E00",
++"J$	c #DB7400",
++"K$	c #D16D00",
++"L$	c #B95E00",
++"M$	c #8E4400",
++"N$	c #944700",
++"O$	c #944D00",
++"P$	c #954D00",
++"Q$	c #854500",
++"R$	c #B55900",
++"S$	c #AD5500",
++"T$	c #8C4900",
++"U$	c #844700",
++"V$	c #824400",
++"W$	c #8E4800",
++"X$	c #AE5500",
++"Y$	c #B15600",
++"Z$	c #914B00",
++"`$	c #924A00",
++" %	c #924800",
++".%	c #984B00",
++"+%	c #994900",
++"@%	c #A55400",
++"#%	c #8E4700",
++"$%	c #763900",
++"%%	c #6C3400",
++"&%	c #6A3300",
++"*%	c #8C4500",
++"=%	c #7A3B00",
++"-%	c #6E3600",
++";%	c #804200",
++">%	c #A75200",
++",%	c #602E00",
++"'%	c #643100",
++")%	c #7F3D00",
++"!%	c #B65A00",
++"~%	c #D26E00",
++"{%	c #AD5A00",
++"]%	c #8A4600",
++"^%	c #703800",
++"/%	c #653100",
++"(%	c #612E00",
++"_%	c #9D5000",
++":%	c #A05300",
++"<%	c #9F5100",
++"[%	c #974C00",
++"}%	c #874200",
++"|%	c #864200",
++"1%	c #623000",
++"2%	c #683300",
++"3%	c #D56F00",
++"4%	c #EB7F00",
++"5%	c #E57A00",
++"6%	c #CC6B00",
++"7%	c #8D4600",
++"8%	c #733800",
++"9%	c #5E2E00",
++"0%	c #6A3500",
++"a%	c #914900",
++"b%	c #BF6300",
++"c%	c #E07600",
++"d%	c #EA7A00",
++"e%	c #DC7200",
++"f%	c #B65B00",
++"g%	c #833F00",
++"h%	c #633000",
++"i%	c #5B2D00",
++"j%	c #582B00",
++"k%	c #603000",
++"l%	c #B25900",
++"m%	c #D67000",
++"n%	c #EC7D00",
++"o%	c #EC7F00",
++"p%	c #EB7E00",
++"q%	c #D37000",
++"r%	c #934A00",
++"s%	c #6B3500",
++"t%	c #C96800",
++"u%	c #E67700",
++"v%	c #E57600",
++"w%	c #DA7000",
++"x%	c #844200",
++"y%	c #643000",
++"z%	c #6F3500",
++"A%	c #894200",
++"B%	c #D57100",
++"C%	c #E57B00",
++"D%	c #D47000",
++"E%	c #C06500",
++"F%	c #994F00",
++"G%	c #6B3600",
++"H%	c #A25500",
++"I%	c #AA5A00",
++"J%	c #A95900",
++"K%	c #A65700",
++"L%	c #8D4500",
++"M%	c #854100",
++"N%	c #A65500",
++"O%	c #C36700",
++"P%	c #CF6E00",
++"Q%	c #AF5900",
++"R%	c #924B00",
++"S%	c #653300",
++"T%	c #5F3000",
++"U%	c #AD5400",
++"V%	c #7A3E00",
++"W%	c #743D00",
++"X%	c #783F00",
++"Y%	c #7D4200",
++"Z%	c #844300",
++"`%	c #5C2D00",
++" &	c #693500",
++".&	c #A35300",
++"+&	c #5A2D00",
++"@&	c #9B4A00",
++"#&	c #A14D00",
++"$&	c #7B3E00",
++"%&	c #8D4900",
++"&&	c #964D00",
++"*&	c #592A00",
++"=&	c #7C3D00",
++"-&	c #864300",
++";&	c #683500",
++">&	c #673400",
++",&	c #632F00",
++"'&	c #552D00",
++")&	c #763C00",
++"!&	c #AA5300",
++"~&	c #B45C00",
++"{&	c #B95F00",
++"]&	c #AF5700",
++"^&	c #A95300",
++"/&	c #723800",
++"(&	c #542900",
++"_&	c #5A2F00",
++":&	c #623300",
++"<&	c #6B3700",
++"[&	c #582E00",
++"}&	c #633300",
++"|&	c #753C00",
++"1&	c #8F4900",
++"2&	c #CF6800",
++"3&	c #E47700",
++"4&	c #ED7C00",
++"5&	c #DF7200",
++"6&	c #D36900",
++"7&	c #BF5F00",
++"8&	c #A75100",
++"9&	c #904600",
++"0&	c #663100",
++"a&	c #603100",
++"b&	c #5D2F00",
++"c&	c #643300",
++"d&	c #6F3800",
++"e&	c #D56E00",
++"f&	c #E77800",
++"g&	c #F07A00",
++"h&	c #E67800",
++"i&	c #DC7000",
++"j&	c #DA6E00",
++"k&	c #D36800",
++"l&	c #C66200",
++"m&	c #A85300",
++"n&	c #7E3D00",
++"o&	c #8A4200",
++"p&	c #CD6A00",
++"q&	c #E17700",
++"r&	c #D97300",
++"s&	c #C36200",
++"t&	c #C26400",
++"u&	c #D36D00",
++"v&	c #E77700",
++"w&	c #E07300",
++"x&	c #C16100",
++"y&	c #A04D00",
++"z&	c #934500",
++"A&	c #A24E00",
++"B&	c #BA5D00",
++"C&	c #E37600",
++"D&	c #EF7C00",
++"E&	c #D56D00",
++"F&	c #8E4300",
++"G&	c #8D4200",
++"H&	c #9B4C00",
++"I&	c #C46400",
++"J&	c #E37500",
++"K&	c #EC7B00",
++"L&	c #D16A00",
++"M&	c #AF5400",
++"N&	c #A14C00",
++"O&	c #C06000",
++"P&	c #E57500",
++"Q&	c #F68100",
++"R&	c #E87800",
++"S&	c #F68000",
++"T&	c #DB7000",
++"U&	c #B75A00",
++"V&	c #B55F00",
++"W&	c #D87300",
++"X&	c #F58400",
++"Y&	c #F37E00",
++"Z&	c #AE5700",
++"`&	c #904A00",
++" *	c #FD8F00",
++".*	c #EF8D00",
++"+*	c #F08E00",
++"@*	c #F88800",
++"#*	c #884300",
++"$*	c #6C3500",
++"%*	c #F47C00",
++"&*	c #FF9000",
++"**	c #FF8D00",
++"=*	c #F37D00",
++"-*	c #C26500",
++";*	c #542700",
++">*	c #833E00",
++",*	c #F88D00",
++"'*	c #F58800",
++")*	c #4C2200",
++"!*	c #CE6900",
++"~*	c #D06700",
++"{*	c #BC5E00",
++"]*	c #B15A00",
++"^*	c #AB5500",
++"/*	c #AB5900",
++"(*	c #9C4A00",
++"_*	c #A34F00",
++":*	c #A34D00",
++"<*	c #8A4300",
++"[*	c #532800",
++"                                                                                                ",
++"                              . +                             @ +                               ",
++"                            # $ % & * = - ; > , ' ) ! ~ { ] ^ / ( _ :                           ",
++"                          < [ } | 1 2 3 4 5 6 7 8 9 0 5 a b c d e f g                           ",
++"                        h i j k l m n o p q r s t u v w x y z A B C D E                         ",
++"                      F G H I J K L M N O P Q R S T U V W X Y Z `  ...+.@.#.                    ",
++"                      $.%.&.*.=.-.;.>.,.'.).!.~.{.].^./.(._.:.<.[.}.|.1.2.3.                    ",
++"                  4.5.6.6.7.8.9.0.a.b.c.d.e.          f.g.h.i.j.k.l.m.n.4.G o.p.                ",
++"                q.r.r.2.s.t.u.v.w.x.y.z.A.B.          C.f D.E.F.G.H.I.J.K.4.L.M.                ",
++"                N.O.P.Q.r.R.S.T.U.V.W.X.Y.Z.        `. +.+++@+#+$+%+&+*+=+-+;+>+M.              ",
++"            >+,+,+;+'+o.)+!+~+{+]+^+&./+(+_+:+<+[+}+!+|+1+2+3+4+5+6+7+8+5.9+o.=+0+a+b+          ",
++"          c+d+e+f+O.'+g+h+i+j+} k+l+m+n+o+p+q+r+s+t+u+v+w+x+y+z+A+C.B+C+D+L.Y.Z.Z.E+F+          ",
++"        G+H+I+J+K+L+M+N+O+P+Q+R+S+T+U+-+V+W+X+Y+Z+`+ @.@+@@@#@$@%@&@*@=@-@;@>@,@'@J+)@j+        ",
++"      !@~@{@]@2.^@/@(@_@:@<@[@}@|@1@2@3@4@.@5@6@7@8@9@0@Q.a@1@I.b@c@d@e@5@f@D+g@,+e+8+h@i@j@    ",
++"      k@l@K+m@n@o@|+p@q@r@s@t@u@p.v@w@x@y@p@z@A@B@C@D@(@E@F@G@H@I@J@K@L@w+M@N@ @O@P@Q@R@{@S@    ",
++"T@U@V@W@X@Y@Z@`@ #.#+#@###$#%#&#*#=#-#;#>#,#          '#)#]@!#~#{#+@]#^#/#(#_#:#<#J@.@D+[#}#|#1#",
++"~@1#2#3#$.o@4#5#6#7#8#9#G P.0#a#b#c#Z.d#>@e#          f#g#h#C+,+f#i#s.%.j#k#v+l#m#n#o#m@h#a@p#1@",
++"q#{@r#s#t#=+u#v#w#:#k#N.x#x#y#z#;#E+A#B#)@C#        D#E#F#B#G#%.O.H#I#`.J###K#L#M#]#n+N#v@O#P#Q#",
++"J+R#S#g T#t#h+U#V#W#X#                Y#7+Z#I+ +`# $3#|#.$+$              @$#$##$$%$2.&$*$|#=$3@",
++"_+g+=#-$;$>$G#f+,$'$q.                )$!$~${$]$^$]$/$($_$:$                <$[$s.$.6.}$|$1$2$y@",
++"3$f#4$5$6$7$8$9$0$a$                  b$8+@.c$d$e$9@f$o.g$f                         h$i$j$k$l$g+",
++"g#Y.m$8#c@n$o$p$                      q$G r$d$7#s$t$_@u$z#3#                          v$w$N@D+f+",
++"x@x$4$f$y$z$p#A$                      B$C$m@D$(#E$f@F$G$H$I$                          J$K$L$O.M$",
++"N$~#O$P$=#Q$                          R$S$6.T$U$V$Q$W$A#X$Y$                          Z$`$ %.%+%",
++"m@@%#%$%%%&%                          N.Y.*%=%V@u.-%;%.%>%3$                          ,%'%)%$.!%",
++"~%N@{%]%^%/%(%                        0$0$R@G#_%:%<%[%J#}%|%                        1%2%r#Z.U#3%",
++"4%5%6%{#7%8%2@9%                      !@0%a%b%c%d%e%f%g%h%i%                    j%k%8%0$R#l%m%n%",
++"o%p%q%l$r%9$^%&+                      T+s%!#t%u%v%w%f%x%9%T@                      y%z%A%4.o@B%C%",
++"D%B%E%F%j+Y#G%                        I#*%!#H%I%J%K%C+L%M%0$                        s%Q#[#N%O%P%",
++"Q%<$R%h@S%T%                          U%;#-#V%W%X%Y%Z%G#'+A#                          `% &F#.&4$",
++"x%($Q#7++&                            @&#&Z.}%$&;%%&&&E+h H#                            *&&%=&-&",
++";&>&S%,&                          '&)&K+A#!&%$~&{&r$]&^&g#I#/&(&                          9%u.2%",
++"_&:&<&                          [&}&|&1&G$2&3&4&r@5&6&7&8&9&b$0&                            a&b&",
++"c&7+                            d&)&7%X#r$e&f&g&h&i&j&k&l&m&n&b$                              G+",
++"                                o&3.3$p&q&r&N+s&t&|+u&v&w&x&y&z&                                ",
++"                                d+A&B&C&D&E&_+F&G&H&I&J&K&L&M&N&                                ",
++"                                G a+O&P&Q&R&        U#4&S&T&U&'+                                ",
++"                                x$<%V&W&X&Y&          r@s@v#Z&2.                                ",
++"                                =$`&.&:# *.*          +*@*Z@Y.#*                                ",
++"                                ~@$*!#}@%*&*          **=*-*W$&+j%                              ",
++"                                  ;*>*|+h&,*          '*w+Q%b$)*                                ",
++"                                    )@a#!*L&          ~*{*p.U+                                  ",
++"                                      h+]*^*          U%e#,+                                    ",
++"                                      /*E@(*          a+y@y@                                    ",
++"                                      i#'+_*          L.8&:*                                    ",
++"                                      J+N$J+          r.,$<*                                    ",
++"                                        G+              [*                                      ",
++"                                                                                                "};

var/vabs/xgalaga++/src/xgalaga++.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="xgalaga++"            #Enter package Name!
+VERSION=${VERSION:-"0.8.3"}      #Enter package Version!
+VER=$(echo ${VERSION}|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK=${LINK:-"http://marc.mongenet.ch/OSS/XGalaga/${NAME}_${VERSION}.tar.gz"}  #Enter URL for package here!
+http://marc.mongenet.ch/OSS/XGalaga/xgalaga++_0.8.3.tar.gz
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"1"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-${NAME}
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+if [[ "$ARCH" = i?86 ]]; then
+  ARCH=i586
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  CONFIGURE_TRIPLET="i486-vector-linux"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fpic"
+  CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
+fi
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget --no-check-certificate -c $SRC
+fi
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+cd $TMP
+rm -rf ${NAME}-${VERSION}
+
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+echo "Extracting source..."
+tar xvf $CWD/${NAME}_${VERSION}.tar.gz
+#this moves whatever was extracted to the std dirname we are expecting
+mv * ${NAME}-${VERSION} &> /dev/null 2>&1
+mkdir -p $PKG
+#-----------------------------------------------------
+
+
+cd $TMP/${NAME}-${VERSION}
+
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
+#-----------------------------------------------------
+for i in $CWD/patches/*;do
+  patch -Np1  <$i
+  mkdir -p $PKG/usr/doc/${NAME}-${VERSION}/patches/
+  cp $i $PKG/usr/doc/${NAME}-${VERSION}/patches/
+done
+#-----------------------------------------------------
+ 
+ 
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+
+
+#CONFIGURE & MAKE
+#----------------------------------------------------------------------
+# If you are building a KDE-related app, then change the following
+# arguments in the script below:
+# --prefix=$(kde-config -prefix) \
+# --sysconfdir=/etc/kde \
+#
+# Making these changes will ensure that your package will build in the
+# correct path and that it will work seamlessly within the KDE environment.
+#
+#-----------------------------------------------------------------------
+
+echo "Configuring source..."
+  #make all
+  make all
+  
+    make DESTDIR="$PKG" install
+
+
+#######################################################################
+#Miscellenious tweaks and things outside a normal ./configure go here #
+#######################################################################
+if test -f $CWD/$NAME.png; then
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png; fi
+## Now test for desktop file
+mkdir -p $PKG/usr/share/applications
+if test -f $CWD/${NAME}.desktop; then
+cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
+fi
+
+
+
+mkdir -p $PKG/usr/doc/${NAME}-${VERSION}
+cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
+$PKG/usr/doc/${NAME}-${VERSION}
+cat $CWD/${NAME}.SlackBuild > $PKG/usr/doc/${NAME}-${VERSION}/${NAME}.SlackBuild
+
+#----------------------------------------------------------------------
+
+if [ -d $PKG/usr/share/man ];then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+if [ -d $PKG/usr/share/info ];then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+find $PKG/usr/info -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/install
+if [ -d $PKG/usr/info ];then
+cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
+cd usr/info
+if [ -f dir ];then
+    rm dir
+fi
+if [ -f dir.gz ];then
+    rm dir.gz
+fi
+for i in *.info.gz;do
+    install-info \$i dir
+done
+cd \$CWD
+EOF
+fi
+
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
+cat $CWD/*install >> $PKG/install/doinst.sh
+
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "${NAME}")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 ${NAME}: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (A classic shoot 'em up arcade game inspired by XGalaga)
+${NAME}:
+${NAME}: 
+${NAME}: 
+${NAME}: 
+${NAME}: 
+${NAME}:
+${NAME}:
+${NAME}: license='GPL'
+${NAME}: Authors: See Website
+${NAME}: Website: 
+$NAME: Website: http://marc.mongenet.ch/OSS/XGalaga/
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+echo "Creating package ${NAME}-${VERSION}-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/${NAME}-${VERSION}-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

var/vabs/xgalaga/src/patches/xgalaga.patch

+# fix path to the scores file
+diff -ur xgalaga-2.0.34.orig/configure xgalaga-2.0.34/configure
+--- xgalaga-2.0.34.orig/configure	2012-08-25 14:33:21.719678164 +0100
++++ xgalaga-2.0.34/configure	2012-08-25 14:34:52.861087634 +0100
+@@ -1894,7 +1894,7 @@
+ 
+ 
+ cat >> confdefs.h <<EOF
+-#define SCOREFILE "$prefix/scores"
++#define SCOREFILE "/var/lib/xgalaga/scores"
+ EOF
+ 
+ cat >> confdefs.h <<EOF
+diff -ur xgalaga-2.0.34.orig/data.c xgalaga-2.0.34/data.c
+--- xgalaga-2.0.34.orig/data.c	2012-08-25 14:33:21.723011541 +0100
++++ xgalaga-2.0.34/data.c	2012-08-25 14:34:24.757319526 +0100
+@@ -6,7 +6,6 @@
+ #include "images.h"
+ #include "defs.h"
+ #include "data.h"
+-#include "struct.h"
+ 
+ int buttonDown = 0;
+ 
+diff -ur xgalaga-2.0.34.orig/data.h xgalaga-2.0.34/data.h
+--- xgalaga-2.0.34.orig/data.h	2012-08-25 14:33:21.729678304 +0100
++++ xgalaga-2.0.34/data.h	2012-08-25 14:34:24.757319526 +0100
+@@ -1,4 +1,5 @@
+ #include "Wlib.h"
++#include "struct.h"
+ 
+ extern W_Window gal, baseWin;
+ 
+diff -ur xgalaga-2.0.34.orig/explosions.c xgalaga-2.0.34/explosions.c
+--- xgalaga-2.0.34.orig/explosions.c	2012-08-25 14:33:21.723011541 +0100
++++ xgalaga-2.0.34/explosions.c	2012-08-25 14:34:24.760652963 +0100
+@@ -8,7 +8,6 @@
+ #include <stdlib.h>
+ #include "Wlib.h"
+ #include "images.h"
+-#include "struct.h"
+ #include "data.h"
+ #include "proto.h"
+ #include "sound.h"
+diff -ur xgalaga-2.0.34.orig/highscore.c xgalaga-2.0.34/highscore.c
+--- xgalaga-2.0.34.orig/highscore.c	2012-08-25 14:33:21.729678304 +0100
++++ xgalaga-2.0.34/highscore.c	2012-08-25 14:34:24.760652963 +0100
+@@ -27,7 +27,6 @@
+ 
+ #include "Wlib.h"
+ #include "defs.h"
+-#include "struct.h"
+ #include "proto.h"
+ #include "data.h"
+ 
+diff -ur xgalaga-2.0.34.orig/libsprite/data.c xgalaga-2.0.34/libsprite/data.c
+--- xgalaga-2.0.34.orig/libsprite/data.c	2012-08-25 14:33:21.726344921 +0100
++++ xgalaga-2.0.34/libsprite/data.c	2012-08-25 14:34:24.763986371 +0100
+@@ -17,7 +17,6 @@
+ 
+ #include "Wlib.h"
+ #include "data.h"
+-#include "struct.h"
+ 
+ int	nplanes=3;
+ int	xpmORplanes = 4;
+@@ -61,7 +60,7 @@
+ /* GC used for drawing the borders [BDyess] */
+ GC borderGC;
+ int     controlkey = 0;
+-#define	BillsScrewyAltMask	(Mod1Mask|Mod2Mask|Mod3Mask|Mod4Mask|Mod5Mask)
++unsigned BillsScrewyAltMask = Mod1Mask|Mod2Mask|Mod3Mask|Mod4Mask|Mod5Mask;
+ int     altkey = 0;
+ int     W_FastClear = 0;
+ #ifdef CONTINUOUS_MOUSE
+@@ -79,7 +78,7 @@
+ W_Color W_White = WHITE, W_Black = BLACK, W_Red = RED, W_Green = GREEN;
+ W_Color W_Yellow = YELLOW, W_Cyan = CYAN, W_Grey = LIGHT_GREY, W_DarkGrey = DARK_GREY;
+ int     W_Textwidth, W_Textheight, W_BigTextwidth, W_BigTextheight;
+-char   *strdup();
++/*char   *strdup(); */
+ 
+ int     W_in_message = 0;	/* jfy -- for Jerry's warp message hack */
+ 
+diff -ur xgalaga-2.0.34.orig/libsprite/data.h xgalaga-2.0.34/libsprite/data.h
+--- xgalaga-2.0.34.orig/libsprite/data.h	2012-08-25 14:33:21.729678304 +0100
++++ xgalaga-2.0.34/libsprite/data.h	2012-08-25 14:34:24.763986371 +0100
+@@ -20,6 +20,7 @@
+ 
+ #include "Wlib.h"
+ #include "defs.h"
++#include "struct.h"
+ 
+ extern int	nplanes;
+ extern int	xpmORplanes ;
+@@ -88,4 +89,6 @@
+ 
+ extern int useBuffered;
+ 
++extern unsigned BillsScrewyAltMask;
++
+ #endif /* _data_h_ */
+# fix warning about missing font
+diff -ur xgalaga-2.0.34.orig/libsprite/defs.h xgalaga-2.0.34/libsprite/defs.h
+--- xgalaga-2.0.34.orig/libsprite/defs.h	2012-08-25 14:33:21.726344921 +0100
++++ xgalaga-2.0.34/libsprite/defs.h	2012-08-25 14:34:58.944514918 +0100
+@@ -59,7 +59,7 @@
+ #define BOLD_FONT2	"-*-clean-bold-r-normal--10-100-75-75-c-60-*"
+ #define ITALIC_FONT	"6x10"
+ #define ITALIC_FONT2	"-*-clean-bold-r-normal--10-100-75-75-c-60-*"
+-#define BIG_FONT	"-adobe-helvetica-bold-r-normal--34-*-*-*-*-*-*-*"
++#define BIG_FONT	"-*-*-bold-r-normal--34-*-*-*-*-*-*-*"
+ #define IND_FONT        "-*-clean-bold-r-normal--10-100-75-75-c-60-*"
+ 
+ #define FONTS 4
+@@ -106,7 +106,4 @@
+ }
+ #endif		/* ABORT_ON_ERROR */
+ 
+-#define	BillsScrewyAltMask	(Mod1Mask|Mod2Mask|Mod3Mask|Mod4Mask|Mod5Mask)
+-
+-
+ #endif /* _defs_h_ */
+diff -ur xgalaga-2.0.34.orig/libsprite/init.c xgalaga-2.0.34/libsprite/init.c
+--- xgalaga-2.0.34.orig/libsprite/init.c	2012-08-25 14:33:21.726344921 +0100
++++ xgalaga-2.0.34/libsprite/init.c	2012-08-25 14:34:11.840453246 +0100
+@@ -326,6 +326,36 @@
+     XSetForeground(W_Display, maskGC, 0);
+ }
+ 
++/* Any of Mod1 through Mod5 that are generated by XK_Num_Lock or
++ * XK_Scroll_Lock are excluded from BillsScrewyAltMask.
++ */
++static void
++GetAltMask()
++{
++    XModifierKeymap *m;
++    int     i, j;
++    KeySym  k;
++
++    m = XGetModifierMapping(W_Display);
++    if (m == NULL) {
++        printf("Not enough memory\n");
++        exit(1);
++    }
++
++    for (i = 3; i < 8; i++) {
++        for (j = 0; j < m->max_keypermod; j++) {
++            k = XKeycodeToKeysym(W_Display,
++                m->modifiermap [i*m->max_keypermod + j], 0);
++            if (k == XK_Num_Lock || k == XK_Scroll_Lock) {
++                BillsScrewyAltMask &= ~(1 << i);
++                break;
++            }
++        }
++    }
++
++    XFreeModifiermap(m);
++}
++
+ void
+ W_Initialize(str)
+     char   *str;
+@@ -362,6 +392,7 @@
+ */
+     GetFonts();
+     GetColors();
++    GetAltMask();
+ 
+     backColor = W_Black;
+ }
+diff -ur xgalaga-2.0.34.orig/main.c xgalaga-2.0.34/main.c
+--- xgalaga-2.0.34.orig/main.c	2012-08-25 14:33:21.733011692 +0100
++++ xgalaga-2.0.34/main.c	2012-08-25 14:34:24.763986371 +0100
+@@ -17,7 +17,6 @@
+ #include "data.h"
+ #include "images.h"
+ #include "defs.h"
+-#include "struct.h"
+ #include "paths.h"
+ #include "proto.h"
+ #include "sound.h"
+diff -ur xgalaga-2.0.34.orig/Makefile.in xgalaga-2.0.34/Makefile.in
+--- xgalaga-2.0.34.orig/Makefile.in	2012-08-25 14:33:21.726344921 +0100
++++ xgalaga-2.0.34/Makefile.in	2012-08-25 14:34:41.497577326 +0100
+@@ -10,6 +10,7 @@
+ 
+ prefix = @prefix@
+ exec_prefix = @exec_prefix@
++scoredir = @scoredir@
+ bindir = $(exec_prefix)
+ libdir = $(prefix)/lib
+ infodir = $(prefix)/info
+@@ -20,7 +21,7 @@
+ SOUNDOBJS = @SOUNDSERVER@.o
+ SOUNDSRCS = @SOUNDSERVER@.c
+ 
+-SOUNDDEFS = -DSOUNDSERVER=\"@prefix@/@SOUNDSERVER@\"
++SOUNDDEFS = -DSOUNDSERVER=\"@exec_prefix@/@SOUNDSERVER@\"
+ 
+ RM = rm -f
+ CC = @CC@
+@@ -45,14 +46,16 @@
+ install: all
+ 	./mkinstalldirs $(bindir)
+ 	./mkinstalldirs $(prefix)
++	./mkinstalldirs $(scoredir)
+ 	$(INSTALL) $(TARGET) $(bindir)/$(TARGET)
+-	$(INSTALL) $(SOUNDSRV) $(prefix)/$(SOUNDSRV)
++	$(INSTALL) $(SOUNDSRV) $(bindir)/$(SOUNDSRV)
+ 	./mkinstalldirs $(prefix)/sounds
+ 	./mkinstalldirs $(prefix)/levels
+ 	for i in levels/*.xgl; do $(INSTALL) $$i $(prefix)/$$i ; done
+ 	for i in sounds/*.raw; do $(INSTALL) $$i $(prefix)/$$i ; done
+-	touch $(prefix)/scores
+-	chmod 666 $(prefix)/scores
++	touch $(scoredir)/scores
++	chmod 664 $(scoredir)/scores
++	chgrp games $(scoredir)/scores
+ 
+ subdirs:
+ 	for i in $(SUBDIRS); do cd $$i ; make ; done
+diff -ur xgalaga-2.0.34.orig/paths.c xgalaga-2.0.34/paths.c
+--- xgalaga-2.0.34.orig/paths.c	2012-08-25 14:33:21.726344921 +0100
++++ xgalaga-2.0.34/paths.c	2012-08-25 14:34:24.767319837 +0100
+@@ -3,7 +3,6 @@
+ #include "copyright.h"
+ #include <config.h>
+ 
+-#include "struct.h"
+ #include "defs.h"
+ #include "paths.h"
+ #include "data.h"
+diff -ur xgalaga-2.0.34.orig/prize.c xgalaga-2.0.34/prize.c
+--- xgalaga-2.0.34.orig/prize.c	2012-08-25 14:33:21.723011541 +0100
++++ xgalaga-2.0.34/prize.c	2012-08-25 14:34:24.767319837 +0100
+@@ -6,7 +6,6 @@
+ #include <stdlib.h>
+ #include "Wlib.h"
+ #include "images.h"
+-#include "struct.h"
+ #include "data.h"
+ #include "defs.h"
+ #include "proto.h"
+diff -ur xgalaga-2.0.34.orig/score.c xgalaga-2.0.34/score.c
+--- xgalaga-2.0.34.orig/score.c	2012-08-25 14:33:21.726344921 +0100
++++ xgalaga-2.0.34/score.c	2012-08-25 14:34:24.767319837 +0100
+@@ -8,7 +8,6 @@
+ #include "images.h"
+ #include "data.h"
+ #include "defs.h"
+-#include "struct.h"
+ #include "proto.h"
+ 
+ char scorestr[40] = "Score: 0000000", shipstr[4] ="";
+diff -ur xgalaga-2.0.34.orig/title.c xgalaga-2.0.34/title.c
+--- xgalaga-2.0.34.orig/title.c	2012-08-25 14:33:21.726344921 +0100
++++ xgalaga-2.0.34/title.c	2012-08-25 14:34:24.767319837 +0100
+@@ -8,7 +8,6 @@
+ #include "defs.h"
+ #include "images.h"
+ #include "data.h"
+-#include "struct.h"
+ #include "proto.h"
+ 
+ W_Image *pauseImage, *titleImage;

var/vabs/xgalaga/src/xgalaga.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="xgalaga"            #Enter package Name!
+VERSION=${VERSION:-"2.0.34"}      #Enter package Version!
+VER=$(echo ${VERSION}|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK=${LINK:-"http://downloads.sourceforge.net/${NAME}/${NAME}-${VERSION}.tar.gz"}  #Enter URL for package here!
+
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"1"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-${NAME}
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+if [[ "$ARCH" = i?86 ]]; then
+  ARCH=i586
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  CONFIGURE_TRIPLET="i486-vector-linux"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fpic"
+  CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
+fi
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget --no-check-certificate -c $SRC
+fi
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+cd $TMP
+rm -rf ${NAME}-${VERSION}
+
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+echo "Extracting source..."
+tar xvf $CWD/${NAME}-${VERSION}.tar.gz
+#this moves whatever was extracted to the std dirname we are expecting
+mv * ${NAME}-${VERSION} &> /dev/null 2>&1
+mkdir -p $PKG
+#-----------------------------------------------------
+
+
+cd $TMP/${NAME}-${VERSION}
+
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
+#-----------------------------------------------------
+for i in $CWD/patches/*;do
+  patch -Np1 <$i
+  mkdir -p $PKG/usr/doc/${NAME}-${VERSION}/patches/
+  cp $i $PKG/usr/doc/${NAME}-${VERSION}/patches/
+done
+#-----------------------------------------------------
+ 
+ 
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+
+
+#CONFIGURE & MAKE
+#----------------------------------------------------------------------
+# If you are building a KDE-related app, then change the following
+# arguments in the script below:
+# --prefix=$(kde-config -prefix) \
+# --sysconfdir=/etc/kde \
+#
+# Making these changes will ensure that your package will build in the
+# correct path and that it will work seamlessly within the KDE environment.
+#
+#-----------------------------------------------------------------------
+
+echo "Configuring source..."
+  LDFLAGS='' ./configure --prefix=/usr/share/$NAME --exec-prefix=/usr/bin --with-xpm-lib=/usr/lib
+
+  make
+
+  make prefix="$PKG"/usr/share/$NAME exec_prefix="$PKG"/usr/bin scoredir="$PKG"/var/lib/$NAME install
+
+  install -Dm644 "$TMP/${NAME}-${VERSION}"/$NAME.png "$PKG"/usr/share/pixmaps/$NAME.png
+  install -Dm644 "$TMP/${NAME}-${VERSION}"/$NAME.desktop "$PKG"/usr/share/applications/$NAME.desktop
+  install -Dm644 README "$PKG"/usr/share/doc/$NAME/README
+#######################################################################
+#Miscellenious tweaks and things outside a normal ./configure go here #
+#######################################################################
+if test -f $CWD/$NAME.png; then
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png; fi
+## Now test for desktop file
+mkdir -p $PKG/usr/share/applications
+if test -f $CWD/${NAME}.desktop; then
+cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
+fi
+
+
+
+mkdir -p $PKG/usr/doc/${NAME}-${VERSION}
+cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
+$PKG/usr/doc/${NAME}-${VERSION}
+cat $CWD/${NAME}.SlackBuild > $PKG/usr/doc/${NAME}-${VERSION}/${NAME}.SlackBuild
+
+#----------------------------------------------------------------------
+
+if [ -d $PKG/usr/share/man ];then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+if [ -d $PKG/usr/share/info ];then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+find $PKG/usr/info -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/install
+if [ -d $PKG/usr/info ];then
+cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
+cd usr/info
+if [ -f dir ];then
+    rm dir
+fi
+if [ -f dir.gz ];then
+    rm dir.gz
+fi
+for i in *.info.gz;do
+    install-info \$i dir
+done
+cd \$CWD
+EOF
+fi
+
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
+cat $CWD/*install >> $PKG/install/doinst.sh
+
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "${NAME}")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 ${NAME}: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (An open source remake of the classic arcade game Galaga)
+${NAME}:
+${NAME}: 
+${NAME}: 
+${NAME}: 
+${NAME}: 
+${NAME}:
+${NAME}:
+${NAME}: license='GPL'
+${NAME}: Authors: See Website
+${NAME}: Website: 
+$NAME: Website: http://rumsey.org/xgal.html
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+echo "Creating package ${NAME}-${VERSION}-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/${NAME}-${VERSION}-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

var/vabs/xgalaga/src/xgalaga.desktop

+[Desktop Entry]
+Type=Application
+Version=1.0
+Name=XGalaga
+Comment=An open source remake of the classic arcade game Galaga
+Exec=xgalaga
+Icon=xgalaga
+Terminal=false
+Categories=Game;ArcadeGame;

var/vabs/xgalaga/src/xgalaga.install

+post_install() {
+  echo "You need to be in the 'games' group to use the scores file"
+}
+
+post_upgrade() {
+  post_install
+}
Add a comment to this file

var/vabs/xgalaga/src/xgalaga.png

Added
New image

var/vabs/xtux/src/patches/xtux.patch

+--- xtux.orig/Makefile	2003-02-04 20:59:01.000000000 +0500
++++ xtux/Makefile	2012-02-26 16:31:00.092498256 +0600
+@@ -5,7 +5,7 @@
+ #============================================================#
+ 
+ #Change this to where you want to put the data directory.
+-DATADIR = `pwd`/data
++DATADIR = /usr/share/xtux
+ #Eg you might want to put the data files here......
+ #DATADIR = /usr/share/games/xtux
+ 
+--- xtux.orig/src/client/win.h	2003-03-05 20:20:04.000000000 +0500
++++ xtux/src/client/win.h	2012-02-26 15:59:09.479154124 +0600
+@@ -11,9 +11,9 @@
+ #define DEF_WIN_H 384
+ 
+ /* Font names */
+-#define MED_FONT_18 "-adobe-helvetica-medium-r-*-*-18-*-*-*-*-*-*-*"
+-#define BOLD_FONT_14 "-*-helvetica-bold-r-*-*-14-*-*-*-*-*-iso8859-*"
+-#define BOLD_FONT_24 "-*-helvetica-bold-r-*-*-24-*-*-*-*-*-iso8859-*"
++#define MED_FONT_18 "-*-*-medium-r-*-*-18-*-*-*-*-*-*-*"
++#define BOLD_FONT_14 "-*-*-bold-r-*-*-14-*-*-*-*-*-iso8859-*"
++#define BOLD_FONT_24 "-*-*-bold-r-*-*-24-*-*-*-*-*-iso8859-*"
+ 
+ typedef struct {
+     Display *d;
+--- xtux.orig/src/client/menu.c	2003-03-05 19:54:17.000000000 +0500
++++ xtux/src/client/menu.c	2012-02-26 19:52:47.701065955 +0600
+@@ -726,7 +726,7 @@
+ 	for( i=0 ; i<3 ; i++ )
+ 	    close(i); /* Close STD-IN, -OUT, -ERR */
+ 
+-	system("./tux_serv -e");
++	system("tux_serv -e");
+ 	/* execlp( "./tux_serv", "-e" );
+ 	   perror("execlp"); */
+ 	exit(-1);

var/vabs/xtux/src/xtux.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="xtux"            #Enter package Name!
+VERSION=${VERSION:-"20030306"}      #Enter package Version!
+VER=$(echo ${VERSION}|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK=${LINK:-"http://downloads.sourceforge.net/${NAME}/${NAME}-src-${VERSION}.tar.gz"}  #Enter URL for package here!
+
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"1"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-${NAME}
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+if [[ "$ARCH" = i?86 ]]; then
+  ARCH=i586
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  CONFIGURE_TRIPLET="i486-vector-linux"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fpic"
+  CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH